[Reproducible-commits] [dpkg] 37/63: dpkg-maintscript-helper: Use fixed string matching for pathnames

Jérémy Bobbio lunar at moszumanska.debian.org
Fri Mar 4 17:44:44 UTC 2016


This is an automated email from the git hooks/post-receive script.

lunar pushed a commit to branch pu/buildinfo
in repository dpkg.

commit 9fb91dd0a2629f605f2a6d1aed7a6e8b96f90670
Author: Carsten Hey <carsten at debian.org>
Date:   Fri Feb 19 11:00:23 2016 +0100

    dpkg-maintscript-helper: Use fixed string matching for pathnames
    
    Signed-off-by: Guillem Jover <guillem at debian.org>
---
 debian/changelog                   | 2 ++
 scripts/dpkg-maintscript-helper.sh | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 919ecf1..10faa93 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -27,6 +27,8 @@ dpkg (1.18.5) UNRELEASED; urgency=medium
   * Add MIPS R6 architectures to arch tables. Closes: #807340
     Thanks to YunQiang Su <wzssyqa at gmail.com>.
   * Fix memory leak when unpacking conffiles.
+  * Use fixed string matching for pathnames in dpkg-maintscript-helper.
+    Thanks to Carsten Hey <carsten at debian.org>.
   * Portability:
     - Move DPKG_ADMINDIR environment variable name out from update-alternatives
       code, to make life easier for non-dpkg-based systems.
diff --git a/scripts/dpkg-maintscript-helper.sh b/scripts/dpkg-maintscript-helper.sh
index bd983a8..667a15b 100755
--- a/scripts/dpkg-maintscript-helper.sh
+++ b/scripts/dpkg-maintscript-helper.sh
@@ -401,7 +401,7 @@ prepare_dir_to_symlink()
 	find "$PATHNAME" -print0 | xargs -0 -n1 sh -c '
 		package="$1"
 		file="$2"
-		if ! dpkg-query -L "$package" | grep -q -x "$file"; then
+		if ! dpkg-query -L "$package" | grep -F -q -x "$file"; then
 			exit 1
 		fi
 		exit 0
@@ -481,7 +481,7 @@ ensure_package_owns_file() {
 	local PACKAGE="$1"
 	local FILE="$2"
 
-	if ! dpkg-query -L "$PACKAGE" | grep -q -x "$FILE"; then
+	if ! dpkg-query -L "$PACKAGE" | grep -F -q -x "$FILE"; then
 		debug "File '$FILE' not owned by package " \
 		      "'$PACKAGE', skipping $command"
 		return 1

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/dpkg.git



More information about the Reproducible-commits mailing list